Bug 994235 - [DOCS] Clarification on how to upgrade to 3.2 compatibility mode with running VMs
[DOCS] Clarification on how to upgrade to 3.2 compatibility mode with running...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jodi Biddle
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 15:55 EDT by Robert McSwain
Modified: 2014-11-09 17:29 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert McSwain 2013-08-06 15:55:41 EDT
Description of problem:
The documentation (https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.1/html-single/Administration_Guide/index.html#Changing_the_Cluster_Compatibility_Version) shows how to upgrade to 3.2 compatibility mode, however it does not describe what the process is if there are running guests in that cluster. The solution https://access.redhat.com/site/solutions/199463 explains that it is not detrimental to the VMs to change the compatibility mode while the VMs are running. They simply need to be migrated off the host, put the host in maintenance mode, change the compatibility, and repeat for other hosts in the cluster. 

Version-Release number of selected component (if applicable):
RHEV 3.2

How reproducible:
N/A - Documentation

Steps to Reproduce:
N/A - Documentation
Comment 1 Robert McSwain 2013-10-01 09:43:31 EDT
Tim,

I'm not sure how I saw the NeedInfo flag on this but there doesn't seem to be your update now, but from what I can tell your understanding is right that the process would be 

maintenance mode -> ssh root@host -> yum update -y -> exit -> take host out of
maintenance -> repeat for other hosts

and adding this to the documentation should help out with any confusions as to the process.
Comment 2 Tim Hildred 2013-10-02 01:41:04 EDT
Hey again Robert. 

In my testing, I've seen the the maintenance steps are actually not required at all. If your hosts support a compatibility level higher than the cluster they are currently in, you can just edit the cluster and change the compatibility level to whatever your hosts support. 

So, instead of adding steps, I've added prerequisites that your hosts be upgraded, and a note saying that you have to upgrade all your hosts. 

I took out the maintenance mode steps. 

Prerequisites:

    Updating Red Hat Enterprise Virtualization Hypervisors
    Updating Red Hat Enterprise Linux Virtualization Hosts 

Summary
Red Hat Enterprise Virtualization clusters have a compatibility version. The cluster compatibility version indicates the features of Red Hat Enterprise Virtualization supported by all of the hosts in the cluster. The cluster compatibilty is set according to the version of the least capable host operating system in the cluster.

Note
To change the cluster compatibility version, you must have first updated all the hosts in your cluster to a level that supports your desired compatibility level.
Comment 4 Tim Hildred 2013-10-02 20:25:03 EDT
Hey Robert,

I've looked at both the article, and what you've written, and something isn't clear to me.

"They simply need to be migrated off the host, put the host in maintenance mode, change the compatibility, and repeat for other hosts in the cluster."

To me, that sentence means:
1) Migrate running vms off of 1 host in the cluster.
2) Put that host, now with no running vms, into maintenance mode.
3) Change the compatibility of the host (using the "Edit Host" window) to the newer version.
4) Take that host out of maintenance mode.
5) Pick another host, and repeat 1-4, until you have put each host in maintenance mode, changed the compatibility at the host level, and brought it back out of maintenance mode.
6) Edit the cluster compatibility version using the "Edit Cluster" window, changing it to the newer version. 

The part that I'm confused about is, there is no way of changing the compatibility of a host from the UI. 

Does that mean that "change compatability" in the context of hosts means maintenance mode -> ssh root@host -> yum update -y -> exit -> take host out of mainteance -> repeat?
Comment 5 Tim Hildred 2013-10-02 20:26:14 EDT
Robert, something weird happened. Comment 2 is newer than comment 4, and is how I'm resolving this bug.
Comment 6 Tim Hildred 2013-10-27 20:03:02 EDT
Reassigning to Jodi Biddle (jbiddle@redhat.com) as I am no longer working on Red Hat Enterprise Virtualization documentation.

Note You need to log in before you can comment on or make changes to this bug.